Get contest by slug
curl --request GET \
--url https://api.identityhub.app/contests/{slug}import requests
url = "https://api.identityhub.app/contests/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.identityhub.app/contests/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "contest_001",
"slug": "hack-a-ton-2025",
"title": "Hack-a-TON 2025",
"shortDescription": "Build the future of TON",
"details": "Full contest details in Markdown...",
"rules": "See contest page",
"prizePool": "$50,000",
"imageUrl": null,
"judgeUserIds": [],
"status": "OPEN",
"directLinkEnabled": false,
"fields": null,
"submissionStart": "2025-01-01T00:00:00.000Z",
"submissionEnd": "2025-02-01T00:00:00.000Z",
"votingStart": "2025-02-01T00:00:00.000Z",
"votingEnd": "2025-02-15T00:00:00.000Z",
"createdById": "admin_001",
"createdAt": "2024-12-01T00:00:00.000Z",
"updatedAt": "2024-12-01T00:00:00.000Z",
"displayStatus": "active"
}
}{
"success": false,
"error": "User not found",
"code": "NOT_FOUND"
}Contests
Get contest by slug
Returns a single contest with tracks, submission counts, and criteria.
GET
/
contests
/
{slug}
Get contest by slug
Path Parameters
Contest URL slug
Response
Success
Available options:
true Show child attributes
Show child attributes
Example:
{
"id": "contest_001",
"slug": "hack-a-ton-2025",
"title": "Hack-a-TON 2025",
"shortDescription": "Build the future of TON",
"details": "Full contest details in Markdown...",
"rules": "See contest page",
"prizePool": "$50,000",
"imageUrl": null,
"judgeUserIds": [],
"status": "OPEN",
"directLinkEnabled": false,
"fields": null,
"submissionStart": "2025-01-01T00:00:00.000Z",
"submissionEnd": "2025-02-01T00:00:00.000Z",
"votingStart": "2025-02-01T00:00:00.000Z",
"votingEnd": "2025-02-15T00:00:00.000Z",
"createdById": "admin_001",
"createdAt": "2024-12-01T00:00:00.000Z",
"updatedAt": "2024-12-01T00:00:00.000Z",
"displayStatus": "active"
}